Package org.apache.tapestry5.ioc.internal.services

## Class MethodLogger

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.services.MethodLogger

-     public final class MethodLogger
      extends java.lang.Object

  Used by `LoggingDecoratorImpl` to delegate out logging behavior to a separate object.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MethodLogger​(org.slf4j.Logger logger, ExceptionTracker exceptionTracker)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `entry​(MethodInvocation invocation)` | Invoked when a method is first entered
    `void` | `exit​(MethodInvocation invocation)` | Invoked when a method exits (possibly returning a value).
    `void` | `fail​(MethodInvocation invocation, java.lang.Throwable t)` | Invoked when method invocation instead throws an exception.
    `boolean` | `isDebugEnabled()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodLogger

          public MethodLogger​(org.slf4j.Logger logger,
                              ExceptionTracker exceptionTracker)

  - ### Method Detail

    - #### isDebugEnabled

          public boolean isDebugEnabled()

    - #### entry

          public void entry​(MethodInvocation invocation)

      Invoked when a method is first entered
      Parameters:
        `invocation` - identifies method invoked as well as parameters passed to method

    - #### exit

          public void exit​(MethodInvocation invocation)

      Invoked when a method exits (possibly returning a value).
      Parameters:
        `invocation` - identifies method invocation and result value

    - #### fail

          public void fail​(MethodInvocation invocation,
                           java.lang.Throwable t)

      Invoked when method invocation instead throws an exception.
      Parameters:
        `invocation` - identifies method invocation which failed
        `t` - exception throws by method invocation